Package twisted :: Package web :: Package woven :: Module controller :: Class LiveController

[show private | hide private]
[frames | no frames]

## Class LiveController

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                    Controller --+
                                 |
                                LiveController

Known Subclasses:
  `LivePage`

A Controller that encapsulates logic that makes it possible for this page to be "Live". A live page can have it's content updated after the page has been sent to the browser, and can translate client-side javascript events into server-side events.

Method Summary
| `__init__(self, m, inputhandlers, view, controllers, templateDirectory)` (inherited from `Controller`)
| `aggregateInvalid(self, request, input, data)` (inherited from `Controller`)
| `aggregateValid(self, request, input, data)` (inherited from `Controller`)
| ``clientToServerEvent`(self, request, eventName, eventTarget, eventArgs)` The client sent an asynchronous event to the server.
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| `domChanged(self, request, widget, node)`
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| `gatheredControllers(self, v, d, request)`
| ``getChild`(self, name, request)` Look for a factory method to create the object to handle the next segment of the URL. (inherited from `Controller`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicChild`(self, name, request)` This method is called when getChild cannot find a matching wchild_* method in the Controller. (inherited from `Controller`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| `getSubcontroller(self, request, node, model, controllerName)` (inherited from `Controller`)
| ``handle`(self, request)` By default, we don't do anything (inherited from `Controller`)
| `importControllerLibrary(self, namespace)` (inherited from `Controller`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `makeView(self, model, templateFile, parentCount)` (inherited from `Controller`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``pageRenderComplete`(self, request)` Override this to recieve notification when the view rendering process is complete. (inherited from `Controller`)
| `process(self, request, **kwargs)` (inherited from `Controller`)
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` First, check to see if this request is attempting to hook up the output conduit.
| `renderView(self, request)` (inherited from `Controller`)
| `setNode(self, node)` (inherited from `Controller`)
| `setSubcontrollerFactory(self, name, factory, setup)` (inherited from `Controller`)
| `setSubmodel(self, submodel)` (inherited from `Controller`)
| ``setUp`(self, request, *args)` (inherited from `Controller`)
| `setupControllerStack(self)` (inherited from `Controller`)
| `setView(self, view)` (inherited from `Controller`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| `wchild_FlashConduit_swf(self, request)`
| ``wchild_index`(self, request)` By default, we return ourself as the index. (inherited from `Controller`)
| `wchild_input_html(self, request)`
| `wchild_WebConduit2_js(self, request)`

Class Variable Summary
`NoneType` | `pageSession`

Method Details

### clientToServerEvent(self, request, eventName, eventTarget, eventArgs)

The client sent an asynchronous event to the server. Locate the View object targeted by this event and attempt to call onEvent on it.

### render(self, request)

First, check to see if this request is attempting to hook up the output conduit. If so, do it. Otherwise, unlink the current session's View from the MVC notification infrastructure, then render the page normally.

Class Variable Details

### pageSession

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:17:01 2003 | http://epydoc.sf.net